% pdf of 2-D normal distr. and 1-D Rayleigh distr.
%
% Nick Kingsbury, Cambridge University, Oct 2002.

pos1 = [0.06 0.3 0.4 0.4]; % Use subplot so text is a reasonable size.

% pdf of 2-D Normal distr with mean 0 and variance 1.
sig = sqrt(1);
xmin = -4;
xmax = 4;
dx = 1/4;
x = [xmin:dx:xmax]';
y = exp(-x.^2/(2*sig.^2)) / (sqrt(2*pi)*sig);
yy = y * y.';
setfig(1)
subplot('position',pos1);
surf(x,x,yy)
% shading flat; colormap(hot)
shading faceted
colormap(cool)
axis([xmin xmax xmin xmax 0 0.2])
title('(a) pdf of 2-D normal distribution: mean = 0, var = 1','FontSize',12);
xlabel('x1','FontSize',12);
ylabel('x2','FontSize',12);


% pdf of Rayleigh distr with variance 2.
sig = sqrt(1);
xmin = 0;
xmax = 4;
dx = 1/64;
x = [xmin:dx:xmax]';
y = (x / (sig.^2)) .* exp(-x.^2/(2*sig.^2));
setfig(2)
subplot('position',pos1);
plot(x,y,'LineWidth',2)
axis([xmin xmax -0.1 0.8]);
grid on
title('(b) pdf of Rayleigh distribution: var = 2','FontSize',12);
xlabel('r','FontSize',12);

return

figure(1)
print -depsc '\1ngk\TEX\Probability\Figures\pdfnorm2D'
figure(2)
print -depsc '\1ngk\TEX\Probability\Figures\pdfrayleigh'


